Bug 205914 - [NEW PORT] net/py-matrix-synapse: Matrix protocol reference homeserver (plus dependencies)
Summary: [NEW PORT] net/py-matrix-synapse: Matrix protocol reference homeserver (plus ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL: https://reviews.freebsd.org/D4795
Keywords: feature, patch
Depends on:
Blocks:
 
Reported: 2016-01-05 07:37 UTC by Brendan Molloy
Modified: 2016-02-08 14:31 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brendan Molloy 2016-01-05 07:37:49 UTC
Matrix is an ambitious new ecosystem for open federated Instant Messaging and
VoIP. The basics you need to know to get up and running are:

  * Everything in Matrix happens in a room. Rooms are distributed and do not
    exist on any single server. Rooms can be located using convenience
    aliases like #matrix:matrix.org or #test:localhost:8448.
  * Matrix user IDs look like @matthew:matrix.org (although in the future you
    will normally refer to yourself and others using a 3PID: email address,
    phone number, etc rather than manipulating Matrix user IDs)

Synapse is currently in rapid development, but as of version 0.5 we believe it
is sufficiently stable to be run as an internet-facing service for real usage!

WWW: https://www.matrix.org

---

Review and patches here: <https://reviews.freebsd.org/D4795>
Comment 1 commit-hook freebsd_committer 2016-01-08 04:26:53 UTC
A commit references this bug:

Author: koobs
Date: Fri Jan  8 04:26:46 UTC 2016
New revision: 405512
URL: https://svnweb.freebsd.org/changeset/ports/405512

Log:
  [NEW] www/py-cookies: Friendlier RFC 6265-compliant cookie parser/renderer

  cookies.py is a Python module for working with HTTP cookies: parsing and
  rendering 'Cookie:' request headers and 'Set-Cookie:' response headers, and
  exposing a convenient API for creating and modifying cookies. It can be used
  as a replacement of Python's Cookie.py (aka http.cookies).

  WWW: https://github.com/sashahart/cookies

  PR:		205914
  Submitted by:	Brendan Molloy <brendan+freebsd@bbqsrc.net>

Changes:
  head/www/Makefile
  head/www/py-cookies/
  head/www/py-cookies/Makefile
  head/www/py-cookies/distinfo
  head/www/py-cookies/pkg-descr
Comment 2 commit-hook freebsd_committer 2016-01-08 04:31:55 UTC
A commit references this bug:

Author: koobs
Date: Fri Jan  8 04:31:44 UTC 2016
New revision: 405513
URL: https://svnweb.freebsd.org/changeset/ports/405513

Log:
  [NEW] devel/py-canonicaljson: Canonical JSON

  A JSON library for Python that provides features such as sorted keys, no
  insignificant whitespace, minimal escaping where necessary and supports
  frozendict immutable dictionaries.

  WWW: https://github.com/matrix-org/python-canonicaljson

  PR:		205914
  Submitted by:	Brendan Molloy <brendan+freebsd@bbqsrc.net>

Changes:
  head/devel/Makefile
  head/devel/py-canonicaljson/
  head/devel/py-canonicaljson/Makefile
  head/devel/py-canonicaljson/distinfo
  head/devel/py-canonicaljson/pkg-descr
Comment 3 commit-hook freebsd_committer 2016-01-08 04:34:56 UTC
A commit references this bug:

Author: koobs
Date: Fri Jan  8 04:34:35 UTC 2016
New revision: 405514
URL: https://svnweb.freebsd.org/changeset/ports/405514

Log:
  [NEW] devel/py-unpaddedbase64: Unpadded Base64

  Encode and decode Base64 without "=" padding.

  RFC 4648 specifies that Base64 should be padded to a multiple of 4 bytes using
  "=" characters. However this conveys no benefit so many protocols choose to use
  Base64 without the "=" padding.

  WWW: https://github.com/matrix-org/python-unpaddedbase64

  PR:		205914
  Submitted by:	Brendan Molloy <brendan+freebsd@bbqsrc.net>

Changes:
  head/devel/Makefile
  head/devel/py-unpaddedbase64/
  head/devel/py-unpaddedbase64/Makefile
  head/devel/py-unpaddedbase64/distinfo
  head/devel/py-unpaddedbase64/pkg-descr
Comment 4 commit-hook freebsd_committer 2016-01-08 04:37:58 UTC
A commit references this bug:

Author: koobs
Date: Fri Jan  8 04:37:10 UTC 2016
New revision: 405515
URL: https://svnweb.freebsd.org/changeset/ports/405515

Log:
  [NEW] security/py-signedjson: Sign JSON with Ed25519 signatures

  python-signedjson allows more than one entity to sign an object, can sign with
  more than one key and replace ED25519 with a different algorithm.

  WWW: https://github.com/matrix-org/python-signedjson

  PR:		205914
  Submitted by:	Brendan Molloy <brendan+freebsd@bbqsrc.net>

Changes:
  head/security/Makefile
  head/security/py-signedjson/
  head/security/py-signedjson/Makefile
  head/security/py-signedjson/distinfo
  head/security/py-signedjson/pkg-descr
Comment 5 commit-hook freebsd_committer 2016-01-08 04:42:00 UTC
A commit references this bug:

Author: koobs
Date: Fri Jan  8 04:41:41 UTC 2016
New revision: 405517
URL: https://svnweb.freebsd.org/changeset/ports/405517

Log:
  [NEW] devel/py-responses: Utility library for mocking out the requests Python library

  A utility library for mocking out the requests Python library.

  WWW: https://github.com/getsentry/responses

  PR:		205914
  Submitted by:	Brendan Molloy <brendan+freebsd@bbqsrc.net>

Changes:
  head/devel/Makefile
  head/devel/py-responses/
  head/devel/py-responses/Makefile
  head/devel/py-responses/distinfo
  head/devel/py-responses/pkg-descr
Comment 6 commit-hook freebsd_committer 2016-01-08 04:45:04 UTC
A commit references this bug:

Author: koobs
Date: Fri Jan  8 04:44:17 UTC 2016
New revision: 405519
URL: https://svnweb.freebsd.org/changeset/ports/405519

Log:
  [NEW] security/py-pysaml2: Python implementation of SAML Version 2

  PySAML2 is a pure python implementation of SAML2. It contains all necessary
  pieces for building a SAML2 service provider or an identity provider. The
  distribution contains examples of both. Originally written to work in a WSGI
  environment there are extensions that allow you to use it with other frameworks.

  WWW: https://github.com/rohe/pysaml2

  PR:		205914
  Submitted by:	Brendan Molloy <brendan+freebsd@bbqsrc.net>

Changes:
  head/security/Makefile
  head/security/py-pysaml2/
  head/security/py-pysaml2/Makefile
  head/security/py-pysaml2/distinfo
  head/security/py-pysaml2/files/
  head/security/py-pysaml2/files/patch-tests_test__52__default__sign__alg.py
  head/security/py-pysaml2/files/patch-tests_test__84__entcat.py
  head/security/py-pysaml2/pkg-descr
Comment 7 commit-hook freebsd_committer 2016-01-08 04:47:05 UTC
A commit references this bug:

Author: koobs
Date: Fri Jan  8 04:46:38 UTC 2016
New revision: 405520
URL: https://svnweb.freebsd.org/changeset/ports/405520

Log:
  [NEW] devel/py-hypothesis: Library for property based testing

  Hypothesis is a library for testing your Python code against a much larger
  range of examples than you would ever want to write by hand. It's based on the
  Haskell library, Quickcheck, and is designed to integrate seamlessly into your
  existing Python unit testing work flow.

  WWW: https://github.com/DRMacIver/hypothesis

  PR:		205914
  Submitted by:	Brendan Molloy <brendan+freebsd@bbqsrc.net>

Changes:
  head/devel/Makefile
  head/devel/py-hypothesis/
  head/devel/py-hypothesis/Makefile
  head/devel/py-hypothesis/distinfo
  head/devel/py-hypothesis/pkg-descr
Comment 8 commit-hook freebsd_committer 2016-01-08 04:49:07 UTC
A commit references this bug:

Author: koobs
Date: Fri Jan  8 04:48:19 UTC 2016
New revision: 405521
URL: https://svnweb.freebsd.org/changeset/ports/405521

Log:
  [NEW] devel/py-frozendict: Immutable dictionary implementation for Python

  frozendict is an immutable wrapper around dictionaries that implements the
  complete mapping interface. It can be used as a drop-in replacement for
  dictionaries where immutability is desired.

  WWW: https://github.com/slezica/python-frozendict

  PR:		205914
  Submitted by:	Brendan Molloy <brendan+freebsd@bbqsrc.net>

Changes:
  head/devel/Makefile
  head/devel/py-frozendict/
  head/devel/py-frozendict/Makefile
  head/devel/py-frozendict/distinfo
  head/devel/py-frozendict/pkg-descr
Comment 9 commit-hook freebsd_committer 2016-01-08 04:52:08 UTC
A commit references this bug:

Author: koobs
Date: Fri Jan  8 04:51:16 UTC 2016
New revision: 405522
URL: https://svnweb.freebsd.org/changeset/ports/405522

Log:
  [NEW] devel/py-daemonize: Enables code to run as a daemon process on Unix-like systems

  daemonize is a library for writing system daemons in Python.

  WWW: https://github.com/thesharp/daemonize

  PR:		205914
  Submitted by:	Brendan Molloy <brendan+freebsd@bbqsrc.net>

Changes:
  head/devel/Makefile
  head/devel/py-daemonize/
  head/devel/py-daemonize/Makefile
  head/devel/py-daemonize/distinfo
  head/devel/py-daemonize/pkg-descr
Comment 10 commit-hook freebsd_committer 2016-01-08 04:56:10 UTC
A commit references this bug:

Author: koobs
Date: Fri Jan  8 04:56:02 UTC 2016
New revision: 405523
URL: https://svnweb.freebsd.org/changeset/ports/405523

Log:
  [NEW] devel/py-pydenticon: Library for generating identicons - an enhanced port of Sigil

  Pydenticon is a small utility library that can be used for deterministically
  generating identicons based on the hash of provided data.

  WWW: https://github.com/azaghal/pydenticon

  PR:		205914
  Submitted by:	Brendan Molloy <brendan+freebsd@bbqsrc.net>

Changes:
  head/devel/Makefile
  head/devel/py-pydenticon/
  head/devel/py-pydenticon/Makefile
  head/devel/py-pydenticon/distinfo
  head/devel/py-pydenticon/pkg-descr
Comment 11 commit-hook freebsd_committer 2016-01-08 04:58:12 UTC
A commit references this bug:

Author: koobs
Date: Fri Jan  8 04:57:52 UTC 2016
New revision: 405524
URL: https://svnweb.freebsd.org/changeset/ports/405524

Log:
  [NEW] devel/py-blist: Drop-in list replacement with better performance for large lists

  The blist is a drop-in replacement for the Python list that provides better
  performance when modifying large lists. The blist package also provides
  sortedlist, sortedset, weaksortedlist, weaksortedset, sorteddict, and btuple
  types.

  WWW: http://stutzbachenterprises.com/blist/

  PR:		205914
  Submitted by:	Brendan Molloy <brendan+freebsd@bbqsrc.net>

Changes:
  head/devel/Makefile
  head/devel/py-blist/
  head/devel/py-blist/Makefile
  head/devel/py-blist/distinfo
  head/devel/py-blist/pkg-descr
Comment 12 commit-hook freebsd_committer 2016-01-08 05:01:14 UTC
A commit references this bug:

Author: koobs
Date: Fri Jan  8 05:00:12 UTC 2016
New revision: 405525
URL: https://svnweb.freebsd.org/changeset/ports/405525

Log:
  [NEW] devel/py-matrix-angular-sdk: Matrix Angular SDK

  An Angular SDK for the Matrix project.

  WWW: https://github.com/matrix-org/matrix-angular-sdk

  PR:		205914
  Submitted by:	Brendan Molloy <brendan+freebsd@bbqsrc.net>

Changes:
  head/devel/Makefile
  head/devel/py-matrix-angular-sdk/
  head/devel/py-matrix-angular-sdk/Makefile
  head/devel/py-matrix-angular-sdk/distinfo
  head/devel/py-matrix-angular-sdk/pkg-descr
Comment 13 commit-hook freebsd_committer 2016-01-08 05:04:15 UTC
A commit references this bug:

Author: koobs
Date: Fri Jan  8 05:03:40 UTC 2016
New revision: 405526
URL: https://svnweb.freebsd.org/changeset/ports/405526

Log:
  [NEW] security/py-pymacaroons-pynacl: Macaroon library for Python

  Macaroons, like cookies, are a form of bearer credential. Unlike opaque tokens,
  macaroons embed caveats that define specific authorization requirements for the
  target service, the service that issued the root macaroon and which is capable
  of verifying the integrity of macaroons it receives.

  WWW: https://github.com/matrix-org/pymacaroons

  PR:		205914
  Submitted by:	Brendan Molloy <brendan+freebsd@bbqsrc.net>

Changes:
  head/security/Makefile
  head/security/py-pymacaroons-pynacl/
  head/security/py-pymacaroons-pynacl/Makefile
  head/security/py-pymacaroons-pynacl/distinfo
  head/security/py-pymacaroons-pynacl/files/
  head/security/py-pymacaroons-pynacl/files/patch-tests_functional__tests_functional__tests.py
  head/security/py-pymacaroons-pynacl/pkg-descr
Comment 14 commit-hook freebsd_committer 2016-01-08 05:06:17 UTC
A commit references this bug:

Author: koobs
Date: Fri Jan  8 05:05:35 UTC 2016
New revision: 405527
URL: https://svnweb.freebsd.org/changeset/ports/405527

Log:
  [NEW] net/py-matrix-synapse: Matrix protocol reference homeserver

  Matrix is an ambitious new ecosystem for open federated Instant Messaging and
  VoIP. The basics you need to know to get up and running are:

    * Everything in Matrix happens in a room. Rooms are distributed and do not
      exist on any single server. Rooms can be located using convenience
      aliases like #matrix:matrix.org or #test:localhost:8448.
    * Matrix user IDs look like @matthew:matrix.org (although in the future you
      will normally refer to yourself and others using a 3PID: email address,
      phone number, etc rather than manipulating Matrix user IDs)

  Synapse is currently in rapid development, but as of version 0.5 we believe it
  is sufficiently stable to be run as an internet-facing service for real usage!

  WWW: https://www.matrix.org

  PR:		205914
  Submitted by:	Brendan Molloy <brendan+freebsd@bbqsrc.net>

Changes:
  head/net/Makefile
  head/net/py-matrix-synapse/
  head/net/py-matrix-synapse/Makefile
  head/net/py-matrix-synapse/distinfo
  head/net/py-matrix-synapse/files/
  head/net/py-matrix-synapse/files/patch-tox.ini
  head/net/py-matrix-synapse/pkg-descr
Comment 15 commit-hook freebsd_committer 2016-01-08 05:16:19 UTC
A commit references this bug:

Author: koobs
Date: Fri Jan  8 05:15:36 UTC 2016
New revision: 405528
URL: https://svnweb.freebsd.org/changeset/ports/405528

Log:
  net/py-matrix-synapse: Sort *_DEPENDS

  PR:			205914
  Differential Revision:	D4795

Changes:
  head/net/py-matrix-synapse/Makefile
Comment 16 Kubilay Kocak freebsd_committer freebsd_triage 2016-01-08 05:26:03 UTC
Committed, very nice work Brendan!